/*
 * @Date: 2025-10-31 13:50:15
 * @LastEditors: shirlwang
 * @LastEditTime: 2025-10-31 14:30:31
 */
import request from '@/utilsRc/request'

// 人员信息保存
export function savePersonBase(data) {
  return request({
    'url': '/personnel/personBaseInfo',
    'method': 'put',
    'data': data
  })
}

// 人员信息查询
export function getPersonBase(userId) {
  return request({
    'url': `/personnel/personBaseInfo/user/${userId}`,
    'method': 'get',
  })
}
// 获取行政区划列表
export function getQUList() {
	return request({
	  url: `/manage/xzqh//xzqhTree`,
	  method: 'get'
	})
  }
// 查询部门下拉树结构
export function deptTreeSelect() {
  return request({
    url: '/system/center/user/deptTree',
    method: 'get'
  })
}


// 社群端 根据所在社区 获取姓名
export function generateUserName(deptId) {
  return request({
    url: `/generateUserName/${deptId}`,
    method: 'get'
  })
}

// 获取部门列表
export function getDeptList(name,personId) {
	return request({
	  url: `/system/center/user/getDeptList?name=${name}&parentId=${personId}`,
	  method: 'get'
	})
  }
// 求职工种列表
export function touristWork() {
	return request({
		url: `/basicdata/workType/workTypeTree`,
		method: 'get'
	})
}
// 获取招聘工种列表
export function jobTypeList(params) {
	return request({
		url: '/basicdata/workType/list',
		method: 'get',
		params
	})
}
// 未读消息数量
 
export function unreadNum() {
	return request({
		url: '/manage/tjgw/notReadNum',
		method: 'get',
	})
}
// 地图类型列表
export function jyshdt(cyfhjd) {
	return request({
		url: `/jyshdt/jyshdt/queryList?lx=${cyfhjd}`,
		method: 'get',
	})
}

